        <div class="well well-sm container-fluid">
            <div class="row-fluid" id="planHeader"> <!-- main header -->

                <div class="col-md-10">

                    <div class="row">
                        <div class="col-md-1">Plan Name:</div>
                        <div class="col-md-11"><%- plan.planName %></div>
                    </div>

					<div class="row">
						<div class="col-md-1">Variant:</div>
						<div class="col-md-11"><%- plan.variant %></div>
					</div>

                    <div class="row">
                        <div class="col-md-1">Plan ID:</div>
                        <div class="col-md-11"><%- plan._id %></div>
                    </div>

                    <div class="row">
                        <div class="col-md-1">Description:</div>
                        <div class="col-md-11"><%- plan.description %></div>
                    </div>

                    <div class="row">
                        <div class="col-md-1">Plan Version:</div>
                        <div class="col-md-11"><%- plan.version %></div>
                    </div>

                    <div class="row">
                        <div class="col-md-1">Started:</div>
                        <div class="col-md-11"><%- plan.started %></div>
                    </div>

                    <% if (!public && FAPI_UI.currentUser && FAPI_UI.currentUser.isAdmin) { %>
                    <div class="row">
                        <div class="col-md-1">Test Owner:</div>
                        <div class="col-md-11">
                            <%= FAPI_UI.logTemplates.OWNER({owner: plan.owner}) %>
                        </div>
                    </div>
                    <% } %>

					<% if (plan.summary) { %>
					<div class="row">
						<div class="col-md-12">
							<p class="bgSummary bg-info"><%- plan.summary %></p>
						</div>

					</div>
					<% } %>
                </div>

                <% if (!public) { %>
                <div class="col-md-2">
                    <button class="btn btn-default btn-block" id="showConfigBtn"><span class="glyphicon glyphicon-wrench"></span> View Config</button>
                    <% if (!plan.publish) { %>
                    <button class="btn btn-default btn-block" data-publish="summary"><span class="glyphicon glyphicon-book"></span> Publish summary</button>
                    <button class="btn btn-default btn-block" id="publishBtn"><span class="glyphicon glyphicon-book"></span> Publish everything</button>
                    <% } else { %>
                        <% if (FAPI_UI.currentUser.isAdmin) { %>
                    <button class="btn btn-default btn-block" id="unpublishBtn" data-publish=""><span class="glyphicon glyphicon-ban-circle"></span> Unpublish</button>
                        <% } %>
                    <a href="plan-detail.html?plan=<%- plan._id %>&public=true" class="btn btn-info btn-block"><span class="glyphicon glyphicon-book"></span> Public link</a>
                    <% } %>
                </div>
                <% } %>
            </div>
        </div>

        <div class="container-fluid" id="planItems"> <!-- container for plan results -->
            <% _.each(plan.modules, function(module) { %>
                <% var lastInstance = module.instances.pop(); %>
            <div class="row logItem" data-instance-id="<%- lastInstance %>">
                <div class="col-md-2 testStatusAndResult">

                </div>
                <div class="col-md-2">
                    <% if (!public) { %>
                    <button class="btn btn-default btn-block startBtn" data-module="<%- module.testModule %>"><span class="glyphicon glyphicon-play"></span> Run New Test</button>
                    <% } %>
					<a class="btn btn-default btn-block collapse viewBtn" href="log-detail.html?log=<%- encodeURIComponent(lastInstance) %><%- public ? '&public=true' : '' %>"><span class="glyphicon glyphicon-file"></span> View Logs</a>
                    <% if (!public || plan.publish == "everything") { %>
                    <button class="btn btn-default btn-block collapse downloadBtn"><span class="glyphicon glyphicon-save-file"></span> Download Logs</button>
                    <% } %>
                </div>
                <div class="col-md-8">
                    <div class="row">
                        <div class="col-md-1">Test Name:</div>
                        <div class="col-md-11"><%- module.testModule %></div>
                    </div>
                    <div class="row">
                        <div class="col-md-1">Test ID:</div>
                        <div class="col-md-11"><%- lastInstance ? lastInstance : 'NONE' %></div>
                    </div>
                    <div class="row">
                        <div class="col-md-1">Test Version:</div>
                        <div class="col-md-11 testVersion"></div>
                    </div>
                </div>
            </div>
            <% }); %>
        </div>
